﻿using Asp.Versioning;
using Infrastructure;
using Microsoft.AspNetCore.Mvc;

namespace BackendTutorial.Controllers.V1;

[ApiVersion("1.0")]
[Route("tutorial/{version:apiVersion}")]
public class TutorialController(ILogger<TutorialController> logger) : DefaultControllerBase
{
    [HttpGet("hello")]
    public async Task<MessageData<string>> HelloAsync()
    {
        logger.LogInformation("hello world");
        return await Task.Run(() => Succeed<string>("hello world"));
    }
}